From 713c26e461f17bfec49f7df64370881a992a9523 Mon Sep 17 00:00:00 2001
From: Isaac Burns <isaacburns@gmail.com>
Date: Thu, 7 Apr 2016 16:40:18 -0500
Subject: [PATCH] fix spine.Space.extract for negative scales

---
 spine.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/spine.js b/spine.js
index b607457..d0b424f 100644
--- a/spine.js
+++ b/spine.js
@@ -861,7 +861,7 @@ spine.Space.extract = function(ab, a, out) {
   out.scale.x = ab.scale.x / a.scale.x;
   out.scale.y = ab.scale.y / a.scale.y;
   if ((a.scale.x * a.scale.y) < 0.0) {
-    out.rotation.rad = spine.wrapAngleRadians(a.rotation.rad + ab.rotation.rad);
+    out.rotation.rad = spine.wrapAngleRadians(a.rotation.rad - ab.rotation.rad);
   } else {
     out.rotation.rad = spine.wrapAngleRadians(ab.rotation.rad - a.rotation.rad);
   }
